@import url('https://fonts.googleapis.com/css?family=Montserrat:400,800|Poppins&display=swap');

:root {
    --clr-neon: hsl(317 100% 54%);
    --clr-bg: hsl(323 21% 16%);
  }
  
  *{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat',sans-serif;
    font-weight: 900;
}

body{
    display: flex;
    justify-content: center;
    min-height: 120vh;
    background: #3b3d43;
}

.container{
    width: 1200px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.container .box{
    position : relative ;
    width: 300px;
    height: 300px;
    display: flex;
    margin: 40px;
}

.container .box .Product1{
  position: absolute;
  top: 0;
  left: 0;  
  width: 100%;
  height: 100%;
  transition: 0.5s ease-in-out;
  z-index: 2;
}

.container .box:hover .Product1{
    transform: translate(-35px,-35px);
}

.container .box .Product1 img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.container .box .content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:#afcbff;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding: 15px;
    transition: 0.5s ease-in-out;
}

.container .box:hover .content .Btn{
    transform: translate(35px,35px);
}

.container .box .content h2{
  font-size: 20px;
  color: black;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: 1px;
  text-align: center;
  font-family: 'Montserrat',sans-serif;
}

@media (max-width:768px){
    .container .box:hover .content
    {
        transform: translate(0,35px);
    }
    .container .box:hover .Product1
    {
        transform: translate(0,-35px);
    }
}

button{
    border: 0;
    padding: 0;
    font-family: 'Montserrat',sans-serif;
    background: transparent;
    color: grey;
    cursor: pointer;
}

.navbar {
    position: fixed;
    z-index: 5;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 64px;
    background: #19191c;
    color: #f9f9f9;
    font-family: 'Montserrat',sans-serif;
    box-sizing: border-box;
}


@media only screen and (min-width: 600px) { 
    .navbar{
        justify-content: space-between;
        padding: 0 0 0 16px;
    }
}

.navbar-overlay{
    position: fixed;
    z-index: 5;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    visibility: hidden;
    opacity: 0;
    transition: 0.3s;
}

body.open .navbar-overlay{
    visibility: visible;
    opacity: 1;
}

@media only screen and (min-width:600px){
    .navbar-overlay{
        display: none;
    }
}

.navbar-tkwireless {
    position: absolute;
    top: 0;
    left: 0;
    display: grid;
    place-items: center;
    width: 64px;
    height: 64px;
    padding: 0;
}

@media only screen and (min-width:600px){
    .navbar-tkwireless{
        display: none;
    }
}

.navbar-title{
    margin: 0;
    font-size: 16px;
    font-family: 'Montserrat',sans-serif;
}

.navbar-menu{
    position: fixed;
    z-index: 6;
    top: 0;
    left: 0;
    translate: -100% 0;
    width: 200px;
    height: 100%;
    padding: 20px;
    display: flex;
    gap: 8px;
    flex-direction: column;
    align-items: flex-start;
    background: #000000;
    visibility: hidden;
    transition: translate 0.3s;   
}

body.open .navbar-menu{
    translate: 0 0 ;
    visibility: visible;
}

@media only screen and (min-width: 600px){
    .navbar-menu{
        position: static;
        translate: 0 0;
        width: auto;
        background: transparent;
        flex-direction: row;
        visibility: visible;
    }
}

.navbar-menu > button {
    color: rgba(255, 255, 255 , 0.5);
    background: transparent;
    padding: 0 8px;
}

.navbar-menu > button.active{
    color: inherit;
}

.neon-button {
  font-size: 17px;
  bottom: -14px;
  font-family: 'Montserrat',sans-serif;
  display: inline-block;
  cursor: pointer;
  text-decoration: none;
  color: var(--clr-neon);
  border: var(--clr-neon) 0.125em solid;
  padding: 0.25em 1em;
  border-radius: 0.25em;

  text-shadow: 0 0 0.125em hsl(0 0% 100% / 0.3), 0 0 0.45em currentColor;

  box-shadow: inset 0 0 0.5em 0 var(--clr-neon), 0 0 0.5em 0 var(--clr-neon);

  position: relative;
}

.neon-button::before {
  pointer-events: none;
  content: "";
  position: absolute;
  background: var(--clr-neon);
  top: 120%;
  left: 0;
  width: 100%;
  height: 100%;

  transform: perspective(1em) rotateX(40deg) scale(1, 0.35);
  filter: blur(1em);
  opacity: 0.7;
}

.neon-button::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  box-shadow: 0 0 2em 0.5em var(--clr-neon);
  opacity: 0;
  background-color: var(--clr-neon);
  z-index: -1;
  transition: opacity 100ms linear;
}

.neon-button:hover,
.neon-button:focus {
  color: var(--clr-bg);
  text-shadow: none;
}

.neon-button:hover::before,
.neon-button:focus::before {
  opacity: 1;
}
.neon-button:hover::after,
.neon-button:focus::after {
  opacity: 1;
}

.LogoPng{
    width: 100px;
    height: 100px;
   margin-right: -240px;
}

.loader{
    position: fixed;
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #252525;
    transition: all 0.5s;
    z-index: 10;
  }
  .loader .ring{
    
  }
  
  
  
  .loader .ring:after{
  
  }
  @keyframes rotate {
    100%{
      transform: rotate(360deg);
    }
  }
  
  
  
  .loaders {
    width: 8px;
    height: 48px;
    display: block;
    margin: auto;
    left: -20px;
    position: relative;
    border-radius: 4px;
    box-sizing: border-box;
    animation: animloader 1s linear infinite alternate;
  }
  
  @keyframes animloader {
    0% {
      box-shadow: 20px 0 rgba(11, 63, 94, 0.25), 40px 0 #1DA1F2, 60px 0#1DA1F2;
    }
    50% {
      box-shadow: 20px 0 #E1306C, 40px 0 rgba(255, 48, 108, 0.25), 60px 0 #E1306C;
    }
    100% {
      box-shadow: 20px 0 #FAAB78, 40px 0 #FAAB78, 60px 0 rgba(255, 171, 120, 0.25);
    }
  }
      